Помогите установить php 5.2.6

Тема в разделе "PHP", создана пользователем arch, 29 май 2009.

Статус темы:
Закрыта.
Модераторы: latteo
  1. arch

    arch Создатель

    Регистр.:
    17 май 2009
    Сообщения:
    19
    Симпатии:
    4
    Нужна инфа как установить на TopServer 2.1 php 5.2.6. Сейчас стоит php 5.1.6. Как написано в факе по замене: 3. Мне необходима конкретная версия ядра PHP. Как заменить модули ядра PHP?

    Существующие версии пакета TopServer содержат последние версии стабильного ядра PHP5. Если у вас возникнет потребность в конкретной версии ядра PHP, то вы можете изменить ядро PHP в TopServer самостоятельно.

    Для того, чтобы заменить ядро PHP5, вам необходимо заменить файл ядра PHP php5ts.dll (для php5) на аналогичный файл другой версии. Вам будет также необходимо заменить модуль SAPI на модуль SAPI соответствующей версии. Для PHP5 модулем SAPI является php5apache2.dll. Файл ядра и модуль SAPI находятся в следующем каталоге (по умолчанию:(

    \usr\local\PHP\

    не работает выдаёт постоянго ошибку: не могу загрузить расширение mysql,
    проверьте конфигурацию PHP.
     
  2. diabl

    diabl Боцман

    Регистр.:
    24 мар 2009
    Сообщения:
    439
    Симпатии:
    156
    Это случайно пробуешь установить не топ 100 сайтов?
     
  3. arch

    arch Создатель

    Регистр.:
    17 май 2009
    Сообщения:
    19
    Симпатии:
    4
    нет http://www.topserver.ru/show.php?part=packs&page=main
     
  4. TrojaNFlash

    TrojaNFlash Прохожие

    екстеншены тоже нужно заменить(php5\ext)
     
  5. ice-pro

    ice-pro Создатель

    Регистр.:
    11 дек 2008
    Сообщения:
    21
    Симпатии:
    0
    да ставил бы уже в сборе
     
  6. arch

    arch Создатель

    Регистр.:
    17 май 2009
    Сообщения:
    19
    Симпатии:
    4
    Что ставил в сборе? Мне нужно на существующюю сборку поставить пхп новый, все перепробовал эфекта 0.
     
  7. globalmoney

    globalmoney

    Регистр.:
    28 апр 2007
    Сообщения:
    412
    Симпатии:
    30
    Скачиваешь нужную версия с сайта php.net и заменяешь все файлы старой версии, на новую (ext, SAPI и т.д.).
    P.S. Не забудь подправить php.ini как тебе надо.
     
  8. max-oligarh

    max-oligarh Постоялец

    Регистр.:
    4 май 2009
    Сообщения:
    68
    Симпатии:
    2
    какая версия ОСи ? напрмер в centOS все просто - подключаешь репозиторий и обновляешься
     
  9. arch

    arch Создатель

    Регистр.:
    17 май 2009
    Сообщения:
    19
    Симпатии:
    4
Статус темы:
Закрыта.